PDA

View Full Version : Engine Error... You need Hl2 to run...



Flario
3rd June 2007, 18:22
Hi

i have downloaded HL2DM via Steam.
Then i downloaded The Hidden and installed it.
I made the tutorial in Forum and at starting i got an error message:

Engine Error
You need Half Live 2 to run Mods
[OK]

but i have HL2DM! and i made all right with game path in the Link File...

can you help me because i really want to play it

Mfg
Flario

PS: if its useful i can download HL2LC also via Steam!

Paegus
4th June 2007, 08:35
open .../steam/steamapps/sourcemods/hidden/gameinfo.txt in notepad
change SteamAppId 220 to SteamAppId 215
restart steam

Flario
4th June 2007, 12:42
no it dont work... same error as last time

Paegus
4th June 2007, 14:30
you need to restart steam... completely..

lcpuche
4th June 2007, 14:52
did you run hl2dm?

Flario
4th June 2007, 18:16
i have restarted steam i have played HL2DM and its the same error as usual
is it maybe becuase i have not bought HL2DM? i got it for free because i have an ATI Radeon (maybe you have heared about this event)

LordDragonclaw
6th June 2007, 18:50
Same problem for me. I tried what Paegus suggested but same problem. Ive run HL2DM before as well but I havent actually joined a server or anything with the game.

Paegus
6th June 2007, 22:27
if you have hl2mp then you need to read the "running hidden on hl2mp" thread floating around in close proximity to this thread.

it's just a matter of replacing 215 with 320 though...